local acFrame = CreateFrame("FRAME");
acFrame:RegisterEvent("CHAT_MSG_SYSTEM");
acFrame:SetScript("OnEvent", function(self, event, msg, format)
	if string.match(msg, "has been added to your pet journal!") then
		local match = string.match(msg, "%[([A-Za-z%s0-9]+)%].*has been added to your");
		C_PetJournal.ClearSearchFilter();
		local total, owned = C_PetJournal.GetNumPets();
		local found = false;

		for index = 1, owned do
			local pGuid, _, _, pNickname, pLevel, pIsFav, _, pName = C_PetJournal.GetPetInfoByIndex(index);
			if pName == match then
				if found and pLevel == 1 and not pIsFav then
					DEFAULT_CHAT_FRAME:AddMessage(match .. " is a duplicate pet; caging it for you!");
					C_PetJournal.CagePetByID(pGuid);
				else
					found = true;
				end
			end
		end
	end
end);